Bug 221779 - Sounblaster 24 External (USB) and alsa-oss
Summary: Sounblaster 24 External (USB) and alsa-oss
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-soundcard (Show other bugs)
(Show other bugs)
Version: 6
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Martin Stransky
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-07 22:26 UTC by simon canning
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-08 10:34:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
scsconfig.log (35.83 KB, text/plain)
2007-01-07 22:26 UTC, simon canning
no flags Details

Description simon canning 2007-01-07 22:26:00 UTC
Description of problem:

Window effect sounds are delayed and out of sync.  Soundcard test page does have
a windows effect sound, but actual test sound doesn't work!  An error is
outputted (see attached .log)

Version-Release number of selected component (if applicable):


How reproducible:

100% if Return To Castle Wolfenstein, Enemy Territory!


Steps to Reproduce:
1.su -
2.modprobe snd_pcm_oss
3.et
  
Actual results:

game works 50/50 with audio, audio is always lost for good whatever after

Expected results:

alsa should work with OSS in emulation, so I guess I expect the desired result
is to be able to launch any program that uses a different sound system/element
and not loose audio again!
Additional info:

Comment 1 simon canning 2007-01-07 22:26:00 UTC
Created attachment 145013 [details]
scsconfig.log

Comment 2 simon canning 2007-01-07 22:32:24 UTC
Sorry, Reproduction list wrong, try this

1.su -
2.modprobe snd_pcm_oss
3.echo "et.x86 0 0 direct" > /proc/asound/card0/pcm0p/oss
4.et

note, enemy territory does not get sound unless i use this.  sound is also
bloody aweful regardless of in-game settings...  very crackly and "rusty"!

Comment 3 Martin Stransky 2007-01-08 10:34:11 UTC
Please report it there - www.alsa-project.org, they're authors of linux sound
system.




Note You need to log in before you can comment on or make changes to this bug.